com.genesyslab.wfm8.API.service.schedule851

## Class SchBid

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule851.SchBid

- All Implemented Interfaces:
    java.io.Serializable

      public class SchBid
      extends java.lang.Object
      implements java.io.Serializable

  Agent Schedule Bid
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId` Actual agent ID: identifies the agent who is bidding on the profile agent schedule.
    `private static long` | `serialVersionUID`
    `protected int` | `wmBid` Bid value: value of '1' stands for 'my first choice', value '2' = 'my second choice', and so on.
    `protected int` | `wmProfileAgentId` Profile Agent ID: identifies the profile agent schedule on which that agent is bidding.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchBid()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `int` | `getWmBid()` Gets the value of the wmBid property.
    `int` | `getWmProfileAgentId()` Gets the value of the wmProfileAgentId property.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setWmBid(int value)` Sets the value of the wmBid property.
    `void` | `setWmProfileAgentId(int value)` Sets the value of the wmProfileAgentId property.
    `java.lang.String` | `toString()`
    `SchBid` | `withGswAgentId(int value)`
    `SchBid` | `withWmBid(int value)`
    `SchBid` | `withWmProfileAgentId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### gswAgentId

          protected int gswAgentId

      Actual agent ID: identifies the agent who is bidding on the profile agent schedule.

    - #### wmProfileAgentId

          protected int wmProfileAgentId

      Profile Agent ID: identifies the profile agent schedule on which that agent is bidding.

    - #### wmBid

          protected int wmBid

      Bid value: value of '1' stands for 'my first choice', value '2' = 'my second choice', and so on. Negative values stand for 'undesirable' choices. For instance, a value of '-1' stands for 'my least desired schedule'.

  - ### Constructor Detail

    - #### SchBid

          public SchBid()

  - ### Method Detail

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmProfileAgentId

          public int getWmProfileAgentId()

      Gets the value of the wmProfileAgentId property.

    - #### setWmProfileAgentId

          public void setWmProfileAgentId(int value)

      Sets the value of the wmProfileAgentId property.

    - #### getWmBid

          public int getWmBid()

      Gets the value of the wmBid property.

    - #### setWmBid

          public void setWmBid(int value)

      Sets the value of the wmBid property.

    - #### withGswAgentId

          public SchBid withGswAgentId(int value)

    - #### withWmProfileAgentId

          public SchBid withWmProfileAgentId(int value)

    - #### withWmBid

          public SchBid withWmBid(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.